# Update a rental discount plan Endpoint: PATCH /rental-discount-plans/{rental_discount_plan_id} Version: 2.22 Security: bearerAuth ## Path parameters: - `rental_discount_plan_id` (integer, required) Rental discount plan identifier Example: 1 ## Request fields (application/json-patch+json): - `op` (string, required) The JSON Patch operation to be performed Enum: "add", "remove", "replace", "move", "copy", "test" - `path` (string, required) A JSON-Pointer - `value` (object) The value to be used within the operations - `from` (string) A string containing a JSON Pointer value ## Response 200 fields (application/json): - `id` (integer) Rental discount plan identifier Example: 1 - `contractOwnerId` (integer, required) The billing entity that will have access to this item Example: 1 - `name` (string, required) Rental discount plan name. Must be unique for a given contract owner Example: "12 month 50% off" - `durationInMonths` (integer, required) Duration of the discount plan in months Example: 12 - `availableFrom` (string, required) Available from date - `availableTo` (string) Available to date ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields